Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Using Mtext to edit dimensions ' on the fly'

Probably been asked before, but not using the right terms to search I guess.
In Acad I often added symbols/ text to dimensions by typing an 'M' to invoke Mtext editor whilst placing the dimension text. This does not seem to work in Bricscad?
I can modify the dimension text using the properties window, but that is quite tedious, and you need to know the symbolcodes as you can't pick them from a menu.
Is there a trick to invoke Mtext whilst placing dimensions in Bricscad (Version 20.2.06) ?

Thanks!

Erwin

Best Answers

  • Hi Erwin,

    you can use "T" instead of "M" to edit your Text on the screen before placing.

    Thomas

  • Answer ✓

    If you have some standard ones a couple of ideas based on this link. https://autocadtips1.com/2011/06/03/autolisp-dim-text-override/

    (defun c:cdia ( / oldsnap)
    (setq oldsnap (getvar 'osmode))
    (setvar 'osmode 16)
    (command "dimaligned" (getpoint "\nPick quadrant" ) (getpoint "\nPick quadrant" )(getpoint "\nPick dim location" ))
    (vla-put-textoverride (vlax-ename->vla-object (entlast )) "<>%%d")
    (setvar 'osmode oldsnap)
    )
    (c:cdia)

    Taking the link code then something like this, would only need about 3 lines of code to get choice then 1 line textoveride.

  • Answer ✓

    Multi getvals for library dcl

Answers

  • I may have been a bit rushed, Just noticed I can invoke MText by double clicking the dimension AFTER placing it, so not 'on the fly', but this will do fine for me as well.

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam